libcoap 4.3.2rc2

Functions
coap_asn1.c File Reference

CoAP specific ASN.1 handling. More...

`#include "coap3/coap_internal.h"`

Go to the source code of this file.

## Functions
size_t | asn1_len (const uint8_t **ptr)
| Get the asn1 length from the current `ptr`. More...
coap_asn1_tag_t | asn1_tag_c (const uint8_t **ptr, int *constructed, int *cls)
| Get the asn1 tag from the current `ptr`. More...
coap_binary_t * | get_asn1_tag (coap_asn1_tag_t ltag, const uint8_t *ptr, size_t tlen, asn1_validate validate)
| Get the asn1 tag and data from the current `ptr`. More...

## Detailed Description

CoAP specific ASN.1 handling.

Definition in file coap_asn1.c.